#ifndef cxvtttwn_h_included  
#define cxvtttwn_h_included  
/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [cxvtttwn_h] <00000028.00000000> Retained!
// -MQEnd- [Module_Includes] [cxvtttwn_h] <00000028.00000000> 

// -MQBeg- [Module_Declarations_1] [cxvtttwn_h] <00000028.00000000> Retained!
// -MQEnd- [Module_Declarations_1] [cxvtttwn_h] <00000028.00000000> 

// -MQBeg- [Class_Spec] [CXVTTTTWin] <00000000.00000013> 
/******************************************************************************
CXVTTTTWin:
TTT Window
******************************************************************************/
class CXVTTTTWin  : public TTT_Controller , public TTT_Display , public CWindow 
{
// -MQBeg- [Declarations_1] [CXVTTTTWin] <00000000.00000013> Retained!
// -MQEnd- [Declarations_1] [CXVTTTTWin] <00000000.00000013> 
public:
  CXVTTTTWin(TTT_Engine *Engine, CDocument *theDocument, const CRect& theRegion, const CStringRW& theTitle = NULLString, long theWindowAttributes=WSF_NONE, WIN_TYPE theWindowType=W_DOC, int theMenuBarId=MENU_BAR_RID);
  ~CXVTTTTWin();
  // Display welcome message.
  virtual void DisplayWelcomeMsg();
  // Display "Illegal Move".
  virtual void DisplayIllegalMove();
  // Display "You Win".
  virtual void DisplayYouWin();
  // Display "You Lose".
  virtual void DisplayYouLose();
  // Display "Draw".
  virtual void DisplayDraw();
  void DrawGrid();
  virtual void Draw(const CRect& /*theClippingRegion*/ = MAXRect);
  virtual void DoMouseDown(CPoint theLocation, short /*theButton*/, BOOLEAN /*isShiftKey*/, BOOLEAN /*isControlKey*/);
  virtual void DoMenuCommand(MENU_TAG theMenuItem, BOOLEAN isShiftKey, BOOLEAN isControlKey);
protected:
  // Clear the display.
  virtual void ClearDisplay();
  // Display 'X', 'O', or space at row and col.
  virtual void DisplayMove(int Row, int Col, char Move);
private:
  CRect GetRect(int Row, int Col);
// -MQBeg- [Declarations_2] [CXVTTTTWin] <00000000.00000013> Retained!
// -MQEnd- [Declarations_2] [CXVTTTTWin] <00000000.00000013> 
};

// -MQEnd- [Class_Spec] [CXVTTTTWin] <00000000.00000013> 

// -MQBeg- [Module_Declarations_2] [cxvtttwn_h] <00000028.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [cxvtttwn_h] <00000028.00000000> 

#endif
